public class Janken {
    public static void main(String[] args){
        Judge judge;
        if(args.length == 1){
            try{
                int numberOfPlayers = Integer.parseInt(args[0]);
                if(numberOfPlayers > 1){
                    judge = new Judge(numberOfPlayers);
                }else{
                    usage();
                    return;
                }
            }catch(NumberFormatException ex){
                usage();
                return;
            }
        }else{
            usage();
            return;
        }

        judge.playGame();
    }

    private static void usage(){
        System.out.println("Usage: java Janken [number of Players]");
    }
}
